Guessing a card from a card deck

  • Level: High School 
  • Thread starter Thread starter DaveC426913
  • Start date Start date
Join the discussion
Registration is free. Ask a follow-up in this thread, or start your own.
18 replies · 939 views · last reply
DaveC426913
Gold Member
2025 Award
Messages
24,733
Reaction score
9,160
TL;DR
I'm being told these are the same odds.
1793893793960.webp


As with the TL;DR, the comments from SocMed (so it's gotta be true) indicate that both lead to the same 1/26 odds (actually some arguments suggest asking the second question led to slightly better odds.)

I'm finding this hard to grok.

Question 1 reads to a 1/26 chance of guessing correctly.

Question 2 leads to a 1/52 chance plus 1/51. Which, I guess, is just slightly better than 1/26.

That's crazy.

But I guess I just answered my own question...
 
  • Like
Likes   Reactions: FactChecker and DaveE
Physics news on Phys.org
This Is another expression of the 3-doors poaradox. Imagine that you have 3 Doors locked. Behind One of them Is hidden 1 million, and behind the Oders there are 2 goats. You choose randomly and you have 33% of guessing the million right? Now, someone open one Door(not your chooseed one). When you choose, the other Doors have the 66% of hidding the million. If One of the has been open, all the prob remains on the not open one. So, your choose (in that Chase the ace of spades) still has 33% and the other One(all the cards whitout your ace) has 66%. For this example the probabilities are certanely lower but the concept behind the problem Is the same
 
DaveC426913 said:
Question 2 leads to a 1/52 chance plus 1/51. Which, I guess, is just slightly better than 1/26.


You got something slightly wrong.

$$ P( \text{win}) = P( \text{ yes} )P( \text{win| yes} ) + P( \text{ no} )P( \text{win| no} ) $$
 
Last edited:
DaveC426913 said:
Question 2 leads to a 1/52 chance plus 1/51. Which, I guess, is just slightly better than 1/26.
Check your math here.

For the two options:

1. Chances of the chosen card being red 1/2, chances not being red 1/2. Chances of you guessing correctly given that information 1/26 (for either answer), total chance (1/2)*(1/26)+(1/2)*(1/26)=1/26

2. Chances of the chosen card being the ace of spades 1/52, chances not being ace of spades 51/52. Chances of you guessing correctly given that information 1 or 1/51 (depends on answer), total chance (1/52)*(1)+(51/52)*(1/51)=1/26.
 
  • Like
Likes   Reactions: erobz and PeroK
Question 2 essentially gives you the chance to try two cards. The ace of spades and another of your choosing. So 1/26.
 
  • Like
Likes   Reactions: DaveC426913 and erobz
Matterwave said:
Check your math here.
Yes. I qualified pre-emptively by saying: "... some arguments suggest asking the second question led to slightly better odds."


They're both essentially the same to me. Whether even odds or slightly better - both are highly unintuitive to those of us who aren't probability wizzes.
 
DaveC426913 said:
They're both essentially the same to me. Whether even odds or slightly better - both are highly unintuitive to those of us who aren't probability wizzes.
Maybe it helps your intuition to know that no matter the set of cards you choose your question to restrict to (as long as it's not empty, or the whole set), the solution for this puzzle is 1/26.

What I mean is the following:

Suppose I asked instead whether the chosen card is a spade or not. What are the odds? Imagine instead I asked whether the card is in the set {ace of spades, 7 of clubs, jack of diamonds, 4 of hearts}. What are the odds then?

You find that the odds are always:

$$
\frac{k}{52}\cdot\frac{1}{k}+\frac{52-k}{52}\cdot\frac{1}{52-k}=\frac{1}{26}
$$

Where ##k## is the number of cards your question restricted to. For the original puzzle, ##k## is 26 or 1. For my example, ##k## is 13 or 4.

Where your intuition might be stuck on is if we are allowed to ask follow up questions and our goal is to, in expectation, find the answer in the fewest possible steps. In that case, we would indeed want to split the piles as evenly as possible.
 
  • Like
Likes   Reactions: FactChecker, PeroK and Ibix
Matterwave said:
Maybe it helps your intuition to know that ...

... Imagine instead I asked whether the card is in the set {ace of spades, 7 of clubs, jack of diamonds, 4 of hearts}. What are the odds then?

You find that the odds are always:

k52⋅1k+52−k52⋅152−k=126
I'm sorry, this is the opposite of intuitive where I come from.
 
DaveC426913 said:
I'm sorry, this is the opposite of intuitive where I come from.
Sorry 😅

Let's take the case ##k=13## because I chose to ask the question "is the card a spade or not?". There's 13 spades in the deck.

The chances that the card was a spade in the first place is 13/52, which means the chances that it wasn't a spade is (52-13)/52 = 39/52.

If the card was a spade, then the chances that I will guess right is 1/13 because I narrowed the possibilities to just the spades. If the card was not a spade, the chances would be 1/39 since I narrowed the possibilities to non spades.

So my final probability of success is

(Chance of spade)*(Success if spade)+(Chance of non spade)*(Success if non spade) = (13/52)*(1/13)+(39/52)*(1/39)=1/26.

The thing to notice is that the smaller the set of possible cards I restrict to using my question, the lower the chances the answer is "yes, it's in there", but, crucially, if the card happened to be in that set, then I have an easier time guessing the card afterwards. These two effects cancel out exactly, as given in my equation.
 
Matterwave said:
Where your intuition might be stuck on is if we are allowed to ask follow up questions and our goal is to, in expectation, find the answer in the fewest possible steps. In that case, we would indeed want to split the piles as evenly as possible.
That must be it, because we think of a binary search as being so much more efficient than a simple linear search.
But I still find it very surprising.
 
DaveC426913 said:
I'm sorry, this is the opposite of intuitive where I come from.
I gotta say... I have a lot of sympathy with @DaveC426913 here...

If we're looking for an intuitive explanation, it's hard to beat the original "1 in 52 of scoring with the first question plus 1 in 51 on the second, a smidge better than 1 in 52 plus 1 in 52 eqauls 1 in 26… but there’s a subtlety hiding in ‘smidge’”
 
Last edited:
FactChecker said:
That must be it, because we think of a binary search as being so much more efficient than a simple linear search.
Yep! O(log n) instead of O(n). This is still true.

The puzzle only works because you only get to ask one question.

FactChecker said:
But I still find it very surprising.
Yeah that's fair.
 
Nugatory said:
If we're looking for an intuitive explanation, it's hard to beat the original "1 in 52 of scoring with the first question plus 1 in 51 on the second, a smidge better than 1 in 52 plus 1 in 52 eqauls 1 in 26… but there’s a subtlety hiding in ‘smidge’”

The problem is, this intuition is wrong if it's telling you to add 1/52+1/51 to get the answer. The answer is exactly 1/52+1/52=1/26. There is no "smidge" here.

As @PeroK pointed out in post #5, the situation with asking about the ace of spades is the same as choosing 2 different cards at random. That's 2/52=1/26.

At least, I don't see how you get the "smidge".
 
  • Like
Likes   Reactions: PeroK and DaveC426913
The smidge is the difference between the correct answer and the close but not correct answer we get adding by adding 1/52 to 1/51, approximating the numerator of the second fraction to be one instead of 51/52. We’re trying to get past the “It’s crazy” in the original post without eliciting the reaction in post #8, once over that hump we can demonstrate the correct calculation.
 
  • Like
Likes   Reactions: Matterwave and DaveC426913
I see it. But man my brain doesnt want to.
 
  • Like
Likes   Reactions: FactChecker and Matterwave
It should be clear that partitioning the set into a number of equal subsets is equivalent to having that number of guesses. E.g. being told the suit is equivalent to being allowed to guess four cards.

I don't immediately see why this works with subsets of different sizes, other than by the calculation done by @Matterwave.
 
DaveC426913 said:
I'm sorry, this is the opposite of intuitive where I come from.
I had the same reaction. That is what makes this such a good question. When your intuition conflicts with the truth, it is good to think about the truth until it becomes your revised intuition.
I need to think about @Matterwave post #7 until I can accept how it is different from my "binary search is more efficient" intuition.
 
  • Like
Likes   Reactions: Matterwave and DaveC426913
Here's the calculation-free explanation. Imagine any partition of a set of ##n## objects. The subsets in the partition can be any size and there are a total of ##k## subsets in the partition. An element of the set is chosen at random.

First imagine the game where you get ##k## guesses. If you choose one element from each set in the partition, then that is as good a strategy as any. You have a probability of ##k/n## of guessing the element.

Now imagine you have one guess, but the same partition is used and you are told which subset contains the chosen element. That is equivalent to the first game. You can imagine you had ##k## guesses, but only one is relevant.

You have the same chance of guessing correctly whether you choose am element from each subset up front, with ##k## guesses. Or, you wait until you know which subset is relevant and make one guess.
 
Matterwave said:
The puzzle only works because you only get to ask one question.
Yes, that's the key. The binary search approach does not immediately benefit on the first question. It trades off the disadvantage that there is no definite match obtained on the first question for an advantage reduction to 26 cards if allowed further questions.
If no further questions are allowed, the two approaches give identical probabilities.